import 'package:flutter/material.dart';

import '../widgets/activities_header.dart';
import '../widgets/activity_card.dart';

class ActivitiesScreen extends StatefulWidget {
  const ActivitiesScreen({super.key});

  @override
  State<StatefulWidget> createState() => _ActivitiesScreenState();
}

class _ActivitiesScreenState extends State<ActivitiesScreen> {
  @override
  Widget build(BuildContext context) {
    List<Widget> activities = List.generate(10, (i) => ActivityCard());

    return Padding(
        padding: const EdgeInsets.fromLTRB(10, 15, 10, 0),
        child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: <Widget>[
              const ActivitiesHeader(),
              Expanded(
                  child: GridView.count(
                primary: false,
                padding: const EdgeInsets.fromLTRB(0, 0, 0, 0),
                crossAxisSpacing: 10,
                mainAxisSpacing: 10,
                crossAxisCount: 2,
                children: activities,
              ))
            ]));
  }
}
